POST/ratesbyqueue/{queueid}

Create Ratesbyqueue

This API call enables you to retrieve rate data once the queue has completed, using the queue ID as an input parameter.
POST/ratesbyqueue/{queueid}

Parameter Details

NameInTypeRequiredDescription
queueidpathinteger(int32)Requirednone
bodybodyRequiredRate data to submit to the queue.

Responses

StatusMeaningDescriptionSchema
200OKSuccess
400Bad RequestBad RequestNone
401UnauthorizedAuthentication Failed or Account validity expiredNone
500Internal Server ErrorInternal server errorNone

Example Request

# You can also use wget
curl -X POST /ratesbyqueue/{queueid} \
  -H 'Accept: application/json' \
  -H 'Authorization: Bearer {access-token}'

Body parameter

{
  "hotelcode": 0,
  "subjecthotelcode": 0,
  "websitecode": 0,
  "dtcollected": "2019-08-24",
  "ratedate": "2019-08-24",
  "los": 0,
  "guests": 0,
  "roomtype": "string",
  "onsiterate": 0,
  "netrate": 0,
  "currency": "string",
  "checkin": "2019-08-24",
  "checkout": "2019-08-24",
  "ispromo": false,
  "pos": 0
}

Example responses

200 Response
{
  "queueid": 0,
  "hotelcode": 0,
  "subjecthotelcode": 0,
  "websitecode": 0,
  "dtcollected": "2019-08-24",
  "ratedate": "2019-08-24",
  "los": 0,
  "guests": 0,
  "roomtype": "string",
  "onsiterate": 0,
  "netrate": 0,
  "currency": "string",
  "ratedescription": "string",
  "sourceurl": "string",
  "roomamenities": "string",
  "maxoccupancy": 0,
  "ispromo": true,
  "closed": "string",
  "checkin": "2019-08-24",
  "checkout": "2019-08-24",
  "discount": 0,
  "promoname": "string",
  "searchkeyword": "string",
  "roomtypecode": 0,
  "conditionscode": 0,
  "mealplancode": 0,
  "taxstatus": 0,
  "taxtype": "string",
  "taxamount": 0,
  "pos": 0,
  "requestorigin": "string",
  "israteperstay": "string",
  "status_code": 0
}

Need Support?

Our team is here to help you integrate and make the most of our APIs. Get in touch for technical support, custom solutions, or any questions.